import 'package:example/pages/home_page.dart';
import 'package:example/provider/color_provider.dart';
import 'package:flutter/material.dart';
import 'package:basic_ui/basic_ui.dart';
import 'package:flutter_hooks/flutter_hooks.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';

class App extends HookWidget {
  const App({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final theme = useProvider(colorProvider).state;

    return BasicApp(
      title: "Basic UI Example",
      theme: theme,
      home: const HomePage(),
    );
  }
}
