import 'package:basic_ui/basic_ui.dart';
import 'package:flutter/material.dart';

class ButtonPage extends StatelessWidget {
  const ButtonPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BasicScaffold(
      title: "Button",
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: SingleChildScrollView(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const BasicText(
                "Primary Button",
                variant: BasicTextVariant.label,
              ),
              const SizedBox(height: 8),
              BasicButton("Primary Button", onPressed: () {}),
              const SizedBox(height: 16),
              const BasicText("Text Button", variant: BasicTextVariant.label),
              const SizedBox(height: 8),
              BasicButton(
                "Text Button",
                onPressed: () {},
                variant: BasicButtonVariant.text,
              ),
              const SizedBox(height: 16),
              const BasicText(
                "Outlined Button",
                variant: BasicTextVariant.label,
              ),
              const SizedBox(height: 8),
              BasicButton(
                "Outlined Button",
                onPressed: () {},
                variant: BasicButtonVariant.outlined,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
