import 'package:basic_ui/basic_ui.dart';
import 'package:flutter/material.dart';

class CardPage extends StatelessWidget {
  const CardPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BasicScaffold(
      title: "Card",
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: SingleChildScrollView(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              const BasicText("Basic Card", variant: BasicTextVariant.label),
              const SizedBox(height: 8),
              const BasicCard(
                padding: EdgeInsets.symmetric(
                  horizontal: 16,
                  vertical: 8,
                ),
                child: BasicText("This is Basic Card"),
              ),
              const SizedBox(height: 16),
              const BasicText(
                "Card With Shadow",
                variant: BasicTextVariant.label,
              ),
              const SizedBox(height: 8),
              const BasicCard(
                padding: EdgeInsets.symmetric(
                  horizontal: 16,
                  vertical: 8,
                ),
                elevation: 8,
                child: BasicText("I Have Shadow"),
              ),
              const SizedBox(height: 16),
              const BasicText(
                "Clickable Card",
                variant: BasicTextVariant.label,
              ),
              const SizedBox(height: 8),
              BasicCard(
                padding: const EdgeInsets.symmetric(
                  horizontal: 16,
                  vertical: 8,
                ),
                elevation: 8,
                onTap: () {},
                child: const BasicText("Click Me"),
              ),
              const SizedBox(height: 16),
              const BasicText(
                "Border Card",
                variant: BasicTextVariant.label,
              ),
              const SizedBox(height: 8),
              const BasicCard(
                padding: EdgeInsets.symmetric(
                  horizontal: 16,
                  vertical: 8,
                ),
                borderWidth: 1,
                child: BasicText("Border Card"),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
