import 'package:example/pages/button_page.dart';
import 'package:example/pages/card_page.dart';
import 'package:example/pages/text_field_page.dart';
import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';

import 'package:basic_ui/basic_ui.dart';

class MenuModel {
  MenuModel({
    required this.title,
    required this.page,
  });

  String title;
  Widget page;
}

class HomePage extends HookWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final List<MenuModel> menus = [
      MenuModel(title: "Button", page: const ButtonPage()),
      MenuModel(title: "Card", page: const CardPage()),
      MenuModel(title: "TextField", page: const TextFieldPage()),
    ];

    return BasicScaffold(
      title: "Basic UI Example",
      body: SingleChildScrollView(
        child: BasicList(
          padding: const EdgeInsets.symmetric(vertical: 8),
          itemCount: menus.length,
          itemBuilder: (context, index) {
            return SizedBox(
              width: double.infinity,
              child: BasicTap(
                onTap: () {
                  Navigator.push(
                    context,
                    MaterialPageRoute(
                      builder: (context) => menus[index].page,
                    ),
                  );
                },
                child: Padding(
                  padding:
                      const EdgeInsets.symmetric(horizontal: 16, vertical: 8.0),
                  child: BasicText(
                    menus[index].title,
                  ),
                ),
                // variant: BasicButtonVariant.text,
              ),
            );
          },
        ),
      ),
    );
  }
}
