import 'package:basic_ui/basic_ui.dart';
import 'package:basic_ui/src/widgets/basic_color.dart';
import 'package:flutter/material.dart';

class BasicTheme {
  const BasicTheme({
    this.fontFamily = 'Open Sans',
    this.fontColor = BasicColor.fontColor,
    this.fontSubtitleColor = BasicColor.fontSubtitleColor,
    this.primaryColor = BasicColor.primaryColor,
    this.secondaryColor = BasicColor.secondaryColor,
    this.borderColor = BasicColor.borderColor,
    this.backgroundColor = BasicColor.backgroundColor,
    this.dangerColor = BasicColor.dangerColor,
    this.card = const BasicCardTheme(),
    this.appBar = const BasicAppBarTheme(),
    this.textField = const BasicTextFieldTheme(),
  });

  final String fontFamily;
  final Color fontColor;
  final Color fontSubtitleColor;
  final Color primaryColor;
  final Color secondaryColor;
  final Color borderColor;
  final Color backgroundColor;
  final Color dangerColor;
  final BasicCardTheme card;
  final BasicAppBarTheme appBar;
  final BasicTextFieldTheme textField;
}

class BasicAppBarTheme {
  const BasicAppBarTheme({
    this.color = BasicColor.primaryColor,
    this.borderColor = BasicColor.borderColor,
    this.borderWidth = 0,
    this.elevation = 0,
  });
  final Color color;
  final Color borderColor;
  final double borderWidth;
  final double elevation;
}

class BasicCardTheme {
  const BasicCardTheme({
    this.radius = 0,
    this.elevation = 0,
  });
  final double radius;
  final double elevation;
}

class BasicTextFieldTheme {
  const BasicTextFieldTheme({
    this.fillColor,
    this.textColor,
    this.labelColor,
    this.borderColor,
    this.focusedBorderColor,
    this.borderWidth = 1,
    this.borderRadius,
    this.contentPadding = const EdgeInsets.all(10),
    this.labelVariant = BasicTextVariant.label,
    this.textSize = 14,
  });

  final Color? fillColor;
  final Color? textColor;
  final Color? labelColor;
  final Color? borderColor;
  final Color? focusedBorderColor;
  final double borderWidth;
  final double? borderRadius;
  final EdgeInsets contentPadding;
  final BasicTextVariant labelVariant;
  final double textSize;
}
