import 'package:flutter/material.dart';

import 'basic_text.dart';

/// Widget to show detail of information
class BasicDetail extends StatelessWidget {
  const BasicDetail({
    Key? key,
    required this.title,
    required this.subtitle,
    this.color,
    this.padding,
    this.margin,
  }) : super(key: key);

  /// Text to represent detail title.
  final String title;

  /// Text to represent detail value.
  final String subtitle;

  /// The color to use when painting the text.
  final Color? color;

  /// Empty space.
  final EdgeInsets? padding;

  /// Empty space.
  final EdgeInsets? margin;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      margin: margin,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          BasicText(
            title,
            variant: BasicTextVariant.label,
            color: color,
          ),
          BasicText(
            subtitle,
            variant: BasicTextVariant.small,
            color: color,
          ),
        ],
      ),
    );
  }
}
